using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Destination;

public class CreateDestinationDto {
    [JsonPropertyName("callback")]
    public CallbackDto? Callback { get; set; }

    [JsonPropertyName("contactInformation")]
    public ContactInformationDto? ContactInformation { get; set; }


    [JsonPropertyName("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonPropertyName("encryptionPublicKey")]
    public string? EncryptionPublicKey { get; set; }


    [JsonPropertyName("metadataVersions")]
    public List<string>? MetadataVersions { get; set; }


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonPropertyName("services")]
    public List<DestinationServiceDto>? Services { get; set; }


    [JsonPropertyName("signingPublicKey")]
    public string? SigningPublicKey { get; set; }
}
