using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Submission;

public class CreateSubmissionDto {
    [JsonPropertyName("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonPropertyName("serviceType")]
    public ServiceTypeDto? ServiceType { get; set; }


    [JsonPropertyName("announcedAttachments")]
    public List<string>? AnnouncedAttachments { get; set; }

    [JsonPropertyName("caseId")]
    public string? CaseId { get; set; }

    [JsonPropertyName("destinationId")]
    public string? DestinationId { get; set; }
}
