using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionDto {
    [JsonPropertyName("attachments")]
    public List<string>? Attachments { get; set; }


    [JsonPropertyName("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonPropertyName("caseId")]
    public string? CaseId { get; set; }

    [JsonPropertyName("destinationId")]
    public string? DestinationId { get; set; }


    [JsonPropertyName("encryptedData")]
    public string? EncryptedData { get; set; }


    [JsonPropertyName("encryptedMetadata")]
    public string? EncryptedMetadata { get; set; }


    [JsonPropertyName("serviceType")]
    public ServiceTypeDto? ServiceType { get; set; }


    [JsonPropertyName("submissionId")]
    public string? SubmissionId { get; set; }
}
